%MACRO EXIST(dsn=);
	%GLOBAL exist;
	%IF &dsn ne %THEN %DO;
		* An unknown data set causes a
		* compile error that is reflected
		* in the SYSERR macro variable;
		data _null_;
		stop;
		if 0 then set &dsn;
		run;
	%END;
	%IF &syserr=0 %THEN %LET exist='YES';
	%ELSE %LET exist='NO';
%MEND EXIST;