%MACRO EXIST_VAR(	dsn= ,
					var=
				);

	%GLOBAL exist;

	/*Anzahl der Variablen ermitteln:*/
	%GLOBAL count_x varx;
	%LET count_x=1;
	%LET varx=%QSCAN(&var,&count_x,%STR( ));
	%DO %WHILE(&varx ne);
     	%LET count_x=%EVAL(&count_x+1);
     	%LET varx=%QSCAN(&var,&count_x,%STR( ));
	%END;
	%LET count_x=%EVAL(&count_x-1);

	/*Datastep, der bewute Fehlermeldung generiert, falls Variablen fehlen*/

	DATA test;
		SET &dsn;
		KEEP &var;
	RUN;

	/*Transponieren, um die Anzahl der Variablen mittels 'numberobs.mac.sas'*/
    /*bestimmen zu knnen*/

	PROC TRANSPOSE DATA=test OUT=test2;
	RUN;

	%NUMBEROBS(datensatz=test2)

	%let num_vars=&nnnn1;

	/*Vergleich*/

	%IF &num_vars = &count_x %THEN %DO;
		%LET exist='YES';
	%END;
	%ELSE %LET exist='NO';

	PROC DATASETS NOLIST;
		DELETE test test2;
	RUN;
	QUIT;

%MEND EXIST_VAR;